> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alphax.asia/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alphax.asia/_mcp/server.

# Create a card

POST https://public-api.alphax.com/v1/cards
Content-Type: application/json

Issues a virtual card for a card holder. `bin` must be a value from
`GET /v1/card-bins`. The limit fields are optional but must be provided
together.


Reference: https://docs.alphax.asia/api-reference/card-api/cards/create-card

## Authentication

- `X-API-Key` header (required) — Your partner API key.

## Servers

- `https://public-api.alphax.com` (Production server, default)
- `https://public-api.demo.alphax.asia` (Staging (sandbox) server)

## Request

### Headers

- `X-Company-Id` (string, required) — The company you are acting for (a company ULID).

### Body (application/json)

- `cardHolderId` (string, required)
- `name` (string, required)
- `category` (enum, required) — The card category (case name).
  - Allowed values: `BusinessExpenses`, `ClientExpenses`, `MarketingExpenses`, `OfficeSupplies`, `OnlinePurchasing`, `Other`, `Subscriptions`, `TeamExpenses`, `TravelExpenses`
- `bin` (string, required) — A BIN from GET /v1/card-bins.
- `description` (string, optional)

## Response

### 201

Card created (issuing continues asynchronously)

- `card` (object, optional)
  - `id` (string, optional)
  - `status` (string, optional)

## Examples

**Request**

```json
{
  "cardHolderId": "01KZ2CARDHOLDERULID",
  "name": "Marketing Card",
  "category": "MarketingExpenses",
  "bin": "490123"
}
```

**Response**

```json
{
  "card": {
    "id": "01KZ2ABCDECARDULID",
    "status": "Creating"
  }
}
```

**SDK Code**

```python
import requests

url = "https://public-api.alphax.com/v1/cards"

payload = {
    "cardHolderId": "01KZ2CARDHOLDERULID",
    "name": "Marketing Card",
    "category": "MarketingExpenses",
    "bin": "490123"
}
headers = {
    "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://public-api.alphax.com/v1/cards';
const options = {
  method: 'POST',
  headers: {
    'X-Company-Id': '01KZ2WJKWVFPCVAB6MY106QRZV',
    'X-API-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"cardHolderId":"01KZ2CARDHOLDERULID","name":"Marketing Card","category":"MarketingExpenses","bin":"490123"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://public-api.alphax.com/v1/cards"

	payload := strings.NewReader("{\n  \"cardHolderId\": \"01KZ2CARDHOLDERULID\",\n  \"name\": \"Marketing Card\",\n  \"category\": \"MarketingExpenses\",\n  \"bin\": \"490123\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://public-api.alphax.com/v1/cards")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Company-Id"] = '01KZ2WJKWVFPCVAB6MY106QRZV'
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"cardHolderId\": \"01KZ2CARDHOLDERULID\",\n  \"name\": \"Marketing Card\",\n  \"category\": \"MarketingExpenses\",\n  \"bin\": \"490123\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://public-api.alphax.com/v1/cards")
  .header("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"cardHolderId\": \"01KZ2CARDHOLDERULID\",\n  \"name\": \"Marketing Card\",\n  \"category\": \"MarketingExpenses\",\n  \"bin\": \"490123\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://public-api.alphax.com/v1/cards', [
  'body' => '{
  "cardHolderId": "01KZ2CARDHOLDERULID",
  "name": "Marketing Card",
  "category": "MarketingExpenses",
  "bin": "490123"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
    'X-Company-Id' => '01KZ2WJKWVFPCVAB6MY106QRZV',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://public-api.alphax.com/v1/cards");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV");
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"cardHolderId\": \"01KZ2CARDHOLDERULID\",\n  \"name\": \"Marketing Card\",\n  \"category\": \"MarketingExpenses\",\n  \"bin\": \"490123\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "cardHolderId": "01KZ2CARDHOLDERULID",
  "name": "Marketing Card",
  "category": "MarketingExpenses",
  "bin": "490123"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://public-api.alphax.com/v1/cards")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```